function clicked (section)
{
    if (widget)
    {
        widget.openURL(section);
    }
}
function parseRSS(oDocObj)
{
	//check if the browser interpreted the XML correctly
	if( oDocObj.documentElement && oDocObj.documentElement.tagName && oDocObj.documentElement.tagName.toUpperCase() == 'HTML' )
	{
		setTimeout('alert(\'For no apparent reason, your browser has turned the RSS feed into HTML based garbage.\\nScript aborted.\');',50); return;
	}

	var chanEl = oDocObj.getElementsByTagName('channel')[0];
	if( !chanEl )
	{
		alert('Format was not recognised as a valid RSS feed');
		return;
	}

	var RSSversion = oDocObj.getElementsByTagName('rssSpoof')[0] ? oDocObj.getElementsByTagName('rssSpoof')[0].getAttribute('version') : '';
	//get the information about the feed
	for( var x = 0, y, feedInfo = []; y = chanEl.childNodes[x]; x++ )
	{
		if( y.tagName && y.tagName != 'item' )
		{
			if( y.tagName == 'image' )
			{
				feedInfo['image'] = [];
				for( var i = 0, j; j = y.childNodes[i]; i++ )
				{
					if( j.tagName )
					{
						feedInfo['image'][j.tagName] = j.firstChild ? j.firstChild.nodeValue : '';
						if( RSSversion.match(/0?.91/) )
						{
							feedInfo['image'][j.tagName] = feedInfo['image'][j.tagName].replace(/&/g,'&amp;').replace(/"/g,'&quot;').replace(/</g,'&lt;').replace(/>/g,'&gt;');
						}
					}
				}
			}
			else
			{
				feedInfo[y.tagName] = y.firstChild ? y.firstChild.nodeValue : '';
				if( RSSversion.match(/0?.91/) )
				{
					feedInfo[y.tagName] = feedInfo[y.tagName].replace(/&/g,'&amp;').replace(/"/g,'&quot;').replace(/</g,'&lt;').replace(/>/g,'&gt;');
				}
			}
		}
	}
	if( !feedInfo['lastBuildDate'] )
	{
	   feedInfo['lastBuildDate'] = feedInfo['pubDate'];
    }
	//parse each news item
	for( var x = 0, y = oDocObj.getElementsByTagName('item'), newsItems = []; y[x]; x++ )
	{
		newsItems[x] = [];
		for( var i = 0, j; j = y[x].childNodes[i]; i++ )
		{
			if( j.tagName )
			{
				newsItems[x][j.tagName] = j.firstChild ? j.firstChild.nodeValue : '';
				if( RSSversion.match(/0?.91/) )
				{
				    newsItems[x][j.tagName] = newsItems[x][j.tagName].replace(/&/g,'&amp;').replace(/"/g,'&quot;').replace(/</g,'&lt;').replace(/>/g,'&gt;');
				}
			}
		}
	}
	//now that the entire feed has been converted into JavaScript arrays, it is time to write it out
	//document.title = feedInfo['title'] ? ( 'RSS feed: ' + feedInfo['title'] ) : 'Untitled newsfeed';
	
    //headers
    var oFeedStr = "";//'<div id="rssarea">' + '<\/div><div align="left" id="newsitems">\n';
	var blah;
  alert(blah = document.formName);
  alert(blah = blah.headlines);
  alert(blah.selectedIndex);
  alert(blah.options[blah.selectedIndex]);
  alert(blah.options[blah.selectedIndex].value);
	var oList = document.formName.headlines;
var numToShow = parseInt(oList.options[oList.selectedIndex].value);
for( var x = 0, y; ( x < numToShow ) && ( y = newsItems[x] ); x++ ) 
	{
		oFeedStr += '<div class="feeditem" onClick="clicked(\'' + newsItems[x]['link'] + '\');"><table width=100%><tr><td><h3>' + (newsItems[x]['title']?newsItems[x]['title']:'Untitled') + '<\/h3>' + '<h2>' + newsItems[x]['description'] + '<\/h2>' + '<\/td><\/tr><\/table><\/div>\n';
	}
	
	//footer
	//oFeedStr += '</div>'+
	//(feedInfo['copyright']?('<div id="footers"><p><b>Copyright:<\/b> '+feedInfo['copyright']+'<\/p><\/div>'):'')+
	//'</div>\n';
	//output
	document.getElementById('contents').innerHTML = oFeedStr;
	
	calculateAndShowThumb(document.getElementById('contents'));
    
    setUpdatedText();
}